Subject: bug#20588: [PATCH] 24.5; delete-consecutive-dups may loop infinity

From: Shigeru Fukaya <[email-masked]>
Date: Sat, 16 May 2015 14:18:35 +0900

Hello.

delete-consecutive-dups falls into infinite loop if the last element
is nil.  The attached code will fix it, and besides, avoid re-scan
(call of nbutlast) of a circular list in deletion of the last element.

Regards,
Shigeru